<ng-container *transloco="let t">
  <h1
    mat-dialog-title
    class="primary-title dialog-header-spacing">
    {{t('organization_forms.edit_name')}}
  </h1>
  <form (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color">
      <div class="edit-name-container">
        <mat-form-field class="name">
          <mat-label>{{t('organization_forms.name')}}</mat-label>
          <input
            matInput
            [formControl]="nameForm"
            type="text">
          <mat-error *ngIf="nameForm.hasError('required')">
            {{t('organization_forms.name')}}{{t('general_forms.required')}}
          </mat-error>
          <mat-error *ngIf="nameForm.hasError('maxlength')">
            {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
          </mat-error>
        </mat-form-field>
      </div>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="nameForm.invalid">
        {{t('general_forms.save')}}
      </button>
    </div>
  </form>
</ng-container>
